<?php

/*
Usage
=====
	set $this->control_name
	set $this->wrong_ext_url
	set $this->wrong_ext_message
	set $this->upload_problem_url
	set $this->upload_problem_message
	set $this->photo_name

	call $this->Upload();

	get $this->ext

This function returns true on success and redirect to the url on failure
*/

class PhotoUpload
{
	var $control_name;
	var $wrong_ext_url;
	var $wrong_ext_message;
	var $upload_problem_url;
	var $upload_problem_message;
	var $ext;
	var $photo_name;

	function PhotoUpload()
	{
		$this->control_name = "";
		$this->wrong_ext_url = "";
		$this->wrong_ext_message = "Please Select only image files for your Photo";
		$this->upload_problem_url = "";
		$this->upload_problem_message = "Your Photo can not be uploaded";
		$this->ext = "";
		$this->photo_name = "";
	}

	function CheckExtention ()
	{
		switch($_FILES[$this->control_name]['type'])
		{
				case "image/gif":
				$this->ext = ".gif";
				break;
			case "image/pjpeg":
				$this->ext = ".jpg";
				break;
			case "image/jpeg":
				$this->ext = ".jpg";
				break;
			case "image/x-png":
				$this->ext = ".png";
				break;
			case "image/bmp":
				$this->ext = ".bmp";
				break;
			case "application/octet-stream":
				$this->ext = ".tiff";
				break;
			case "application/x-shockwave-flash";
				$this->ext = ".swf";
				break;
			default:
				$this->ext = "";
				break;
		}
	}

	function Upload()
	{
		if(move_uploaded_file($_FILES[$this->control_name]['tmp_name'], $this->photo_name))
		{
			return true;
		}
		else
		{
			$this->upload_problem_url .= "&m=" . htmlentities($this->upload_problem_message);
			header('Location: ' . $this->upload_problem_url);
		}
	}
}
?>